Skip to main content
GET
/
v1alpha
/
monitors
/
list
List Monitors
import requests

url = "https://api.parallel.ai/v1alpha/monitors/list"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "data": [
    {
      "monitor_id": "monitor_b0079f70195e4258a3b982c1b6d8bd3a",
      "query": "Extract recent news about AI",
      "status": "active",
      "frequency": "1d",
      "metadata": {
        "key": "value"
      },
      "webhook": {
        "url": "https://example.com/webhook",
        "event_types": [
          "monitor.event.detected"
        ]
      },
      "created_at": "2025-04-23T20:21:48.037943Z"
    }
  ],
  "next_cursor": "eyJjYSI6ICIyMDI1LTA0LTIzVDIwOjIxOjQ4WiIsICJtaWQiOiAibW9uXzEyMyJ9"
}

Authorizations

x-api-key
string
header
required

Query Parameters

cursor
string | null

Opaque pagination token returned as next_cursor in a previous response. Omit to start from the most recently created monitor.

limit
integer | null

Maximum number of monitors to return. Defaults to 100. Between 1 and 10000.

Required range: 1 <= x <= 10000

Response

Successful Response

Paginated list of monitors with an opaque cursor for fetching the next page.

data
MonitorResponse · object[]
required

List of monitors, sorted by creation time descending.

next_cursor
string | null

Opaque pagination token. Pass as cursor to retrieve the next page. Absent when there are no more results.